---
title: "Retrieve Group Payment"
source_url: https://docs.rapyd.net/en/retrieve-group-payment.html
lang: en
---

# Retrieve Group Payment

Retrieve details of a group payment.

### Parameters

### Request Path Parameters

- - group_payment
  - ID of the group payment. String starting with **gp_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the group payment, in units defined by `currency`.
- - amount_to_replace
  - Indicates the total amount of failed payments that have not been replaced.
- - cancel_reason
  - Reason for cancellation of the group payment.
- - country
  - Country where the payment methods are supported. Two-letter ISO 3166-1 ALPHA-2 code.
- - currency
  - Currency of the payments. Three-letter ISO 4217 code.
- - description
  - Description of the group payment.
- - expiration
  - End of the time allowed for customers to make this payment, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - id
  - ID of the 'group_payment' object. String starting with **gp_**.
- - merchant_reference_id
  - Identifier defined by the client for reference purposes. Limit: 45 characters.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - payments
  - Array of 'payment' objects. All payments must have the same currency and must be supported in the same country. For details of the fields in the 'payment' object, see [Create Payment](https://docs.rapyd.net/en/create-payment.md "Create Payment").
- - reason
  - Reason for cancellation of the group payment.
- - status
  - Indicates the status of the group payment operation. One of the following values:

    - **active** - The group payment was created and one or more payments are still open.
    - **canceled** - The group payment was canceled.
    - **closed** - All payments in the group payment are complete.Response only.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string payment = "gp_7e2b7abee522ba5089eb98c7482991ea";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/payments/group_payments/{payment}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET',
            '/v1/payments/group_payments/gp_b2eb53a2624345dc3701d59ccac2facd'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);
      try {
          $object = make_request('get', '/v1/payments/group_payments/gp_d5463a9c56c3180b40a4623df37091c3');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      group_payment = "gp_22c833729a6a442b13ae2a3b4f745907"
      response = make_request(method='get',
                              path=f'/v1/payments/group_payments/{group_payment}')

      pprint(response)
      ```

- /v1/payments/group_payments/:group_payment

- Retrieve Group Payment
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/payments/group_payments/gp_07823bc646fab8d16d6d7807a5eabcb3' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "2e66b2a8-fcb6-4e8b-8849-6a3ebe20f7b8"
      },
      "data": {
          "id": "gp_07823bc646fab8d16d6d7807a5eabcb3",
          "amount": 250,
          "amount_to_replace": 0,
          "status": "closed",
          "currency": "GBP",
          "country": "GB",
          "merchant_reference_id": "2025-10-21a",
          "description": "",
          "metadata": {},
          "expiration": null,
          "cancel_reason": null,
          "payments": [
              {
                  "id": "payment_bae62b77765e206e2ff6439e96d63fed",
                  "amount": 200,
                  "original_amount": 200,
                  "is_partial": false,
                  "currency_code": "GBP",
                  "country_code": "GB",
                  "status": "CLO",
                  "description": "",
                  "merchant_reference_id": "",
                  "customer_token": "cus_54eaa2330fe7a540757083c76eef3f51",
                  "payment_method": null,
                  "payment_method_data": {
                      "id": null,
                      "type": "gb_visa_card",
                      "category": "card",
                      "metadata": null,
                      "image": "",
                      "webhook_url": "",
                      "supporting_documentation": "",
                      "next_action": "not_applicable",
                      "name": "John Doe",
                      "last4": "1111",
                      "acs_check": "unchecked",
                      "cvv_check": "unchecked",
                      "bin_details": {
                          "type": "DEBIT",
                          "brand": "VISA",
                          "level": "CLASSIC",
                          "issuer": "CONOTOXIA SP. Z O.O",
                          "country": "PL",
                          "bin_number": "411111"
                      },
                      "expiration_year": "30",
                      "expiration_month": "12",
                      "fingerprint_token": "ocfp_e599f990674473ce6283b245e9ad2467",
                      "network_reference_id": "123456",
                      "payment_account_reference": "V0010I74FB9MVP52ZJDFVUWLOGDXT"
                  },
                  "auth_code": null,
                  "expiration": 1761643474,
                  "captured": true,
                  "refunded": false,
                  "refunded_amount": 0,
                  "receipt_email": "",
                  "redirect_url": "",
                  "complete_payment_url": "https://complete.rapyd.net",
                  "error_payment_url": "https://error.rapyd.net",
                  "receipt_number": "",
                  "flow_type": "",
                  "address": null,
                  "statement_descriptor": "Doc Team",
                  "transaction_id": "",
                  "created_at": 1761038674,
                  "metadata": {},
                  "failure_code": "",
                  "failure_message": "",
                  "paid": true,
                  "paid_at": 1761038674,
                  "dispute": null,
                  "refunds": null,
                  "order": null,
                  "outcome": null,
                  "visual_codes": {},
                  "textual_codes": {},
                  "instructions": [],
                  "ewallet_id": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                  "ewallets": [
                      {
                          "ewallet_id": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
                          "amount": 200,
                          "percent": 100,
                          "refunded_amount": 0
                      }
                  ],
                  "payment_method_options": {},
                  "payment_method_type": "gb_visa_card",
                  "payment_method_type_category": "card",
                  "fx_rate": 1,
                  "merchant_requested_currency": null,
                  "merchant_requested_amount": null,
                  "fixed_side": "",
                  "payment_fees": null,
                  "invoice": "",
                  "escrow": null,
                  "group_payment": "gp_07823bc646fab8d16d6d7807a5eabcb3",
                  "cancel_reason": null,
                  "initiation_type": "customer_present",
                  "mid": "",
                  "next_action": "not_applicable",
                  "error_code": "",
                  "remitter_information": {},
                  "save_payment_method": false,
                  "merchant_advice_code": null,
                  "merchant_advice_message": null,
                  "transaction_link_id": null
              },
              {
                  "id": "payment_ff906d5f1bcc7813799085d317be79d0",
                  "amount": 50,
                  "original_amount": 50,
                  "is_partial": false,
                  "currency_code": "GBP",
                  "country_code": "GB",
                  "status": "CLO",
                  "description": "",
                  "merchant_reference_id": "",
                  "customer_token": "cus_4e25112ac20e144ad073a614dc46934b",
                  "payment_method": null,
                  "payment_method_data": {
                      "id": null,
                      "type": "gb_amex_card",
                      "category": "card",
                      "metadata": null,
                      "image": "",
                      "webhook_url": "",
                      "supporting_documentation": "",
                      "next_action": "not_applicable",
                      "name": "Jane Doe",
                      "last4": "1111",
                      "acs_check": "unchecked",
                      "cvv_check": "unchecked",
                      "bin_details": {
                          "type": "DEBIT",
                          "brand": "VISA",
                          "level": "CLASSIC",
                          "issuer": "CONOTOXIA SP. Z O.O",
                          "country": "PL",
                          "bin_number": "411111"
                      },
                      "expiration_year": "30",
                      "expiration_month": "12",
                      "fingerprint_token": "ocfp_e599f990674473ce6283b245e9ad2467",
                      "network_reference_id": "123456",
                      "payment_account_reference": "V001K92UBTE59ZFUPQFIN9HE7A9W5"
                  },
                  "auth_code": null,
                  "expiration": 1761643474,
                  "captured": true,
                  "refunded": false,
                  "refunded_amount": 0,
                  "receipt_email": "",
                  "redirect_url": "",
                  "complete_payment_url": "https://complete.rapyd.net",
                  "error_payment_url": "https://error.rapyd.net",
                  "receipt_number": "",
                  "flow_type": "",
                  "address": null,
                  "statement_descriptor": "Doc Team",
                  "transaction_id": "",
                  "created_at": 1761038674,
                  "metadata": {},
                  "failure_code": "",
                  "failure_message": "",
                  "paid": true,
                  "paid_at": 1761038674,
                  "dispute": null,
                  "refunds": null,
                  "order": null,
                  "outcome": null,
                  "visual_codes": {},
                  "textual_codes": {},
                  "instructions": [],
                  "ewallet_id": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                  "ewallets": [
                      {
                          "ewallet_id": "ewallet_c1943cfeda5f98247ab117e5d2648861",
                          "amount": 50,
                          "percent": 100,
                          "refunded_amount": 0
                      }
                  ],
                  "payment_method_options": {},
                  "payment_method_type": "gb_amex_card",
                  "payment_method_type_category": "card",
                  "fx_rate": 1,
                  "merchant_requested_currency": null,
                  "merchant_requested_amount": null,
                  "fixed_side": "",
                  "payment_fees": null,
                  "invoice": "",
                  "escrow": null,
                  "group_payment": "gp_07823bc646fab8d16d6d7807a5eabcb3",
                  "cancel_reason": null,
                  "initiation_type": "customer_present",
                  "mid": "",
                  "next_action": "not_applicable",
                  "error_code": "",
                  "remitter_information": {},
                  "save_payment_method": false,
                  "merchant_advice_code": null,
                  "merchant_advice_message": null,
                  "transaction_link_id": null
              }
          ]
      }
  }
  ```
